Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenPropertySheet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenPropertySheetImpl

    public interface GenPropertySheet

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Property Sheet'. Sheet consists of few categories (aka tabs)

The following features are supported:

- `Editor Gen`
- `Tabs`
- `Package Name`
- `Read Only`
- `Needs Caption`
- `Label Provider Class Name`

See Also:
  `GMFGenPackage.getGenPropertySheet()`
** Generated **
Model:

Method Summary
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getLabelProviderClassName()` Returns the value of the 'Label Provider Class Name' attribute
`java.lang.String` `getLabelProviderQualifiedClassName()`
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`org.eclipse.emf.common.util.EList<GenPropertyTab>` `getTabs()` Returns the value of the 'Tabs' containment reference list.
`boolean` `isNeedsCaption()` Returns the value of the 'Needs Caption' attribute.
`boolean` `isReadOnly()` Returns the value of the 'Read Only' attribute.
`void` `setLabelProviderClassName(java.lang.String value)` Sets the value of the '`Label Provider Class Name`' attribute
`void` `setNeedsCaption(boolean value)` Sets the value of the '`Needs Caption`' attribute
`void` `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute
`void` `setReadOnly(boolean value)` Sets the value of the '`Read Only`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Property Sheet`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenPropertySheet_EditorGen()`, `GenEditorGenerator.getPropertySheet()`
  ** Generated **
  Model:
    opposite="propertySheet" resolveProxies="false" required="true" transient="false" changeable="false"

### getTabs

    org.eclipse.emf.common.util.EList<GenPropertyTab> getTabs()

  Returns the value of the 'Tabs' containment reference list. The list contents are of type `GenPropertyTab`. It is bidirectional and its opposite is '`Sheet`'.

  If the meaning of the 'Tabs' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tabs' containment reference list.
  See Also:
    `GMFGenPackage.getGenPropertySheet_Tabs()`, `GenPropertyTab.getSheet()`
  ** Generated **
  Model:
    opposite="sheet" containment="true" required="true"

### getPackageName

    java.lang.String getPackageName()

  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `setPackageName(String)`, `GMFGenPackage.getGenPropertySheet_PackageName()`
  ** Generated **
  Model:

### setPackageName

    void setPackageName(java.lang.String value)

  Sets the value of the '`Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name' attribute.
  See Also:
    `getPackageName()`
  ** Generated **

### isReadOnly

    boolean isReadOnly()

  Returns the value of the 'Read Only' attribute. The default value is `"false"`.

  If the meaning of the 'Read Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Read Only' attribute.
  See Also:
    `setReadOnly(boolean)`, `GMFGenPackage.getGenPropertySheet_ReadOnly()`
  ** Generated **
  Model:
    default="false"

### setReadOnly

    void setReadOnly(boolean value)

  Sets the value of the '`Read Only`' attribute.

  Parameters:
    `value` - the new value of the 'Read Only' attribute.
  See Also:
    `isReadOnly()`
  ** Generated **

### isNeedsCaption

    boolean isNeedsCaption()

  Returns the value of the 'Needs Caption' attribute. The default value is `"true"`.

  If the meaning of the 'Needs Caption' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Needs Caption' attribute.
  See Also:
    `setNeedsCaption(boolean)`, `GMFGenPackage.getGenPropertySheet_NeedsCaption()`
  ** Generated **
  Model:
    default="true"

### setNeedsCaption

    void setNeedsCaption(boolean value)

  Sets the value of the '`Needs Caption`' attribute.

  Parameters:
    `value` - the new value of the 'Needs Caption' attribute.
  See Also:
    `isNeedsCaption()`
  ** Generated **

### getLabelProviderClassName

    java.lang.String getLabelProviderClassName()

  Returns the value of the 'Label Provider Class Name' attribute.

  If the meaning of the 'Label Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Provider Class Name' attribute.
  See Also:
    `setLabelProviderClassName(String)`, `GMFGenPackage.getGenPropertySheet_LabelProviderClassName()`
  ** Generated **
  Model:

### setLabelProviderClassName

    void setLabelProviderClassName(java.lang.String value)

  Sets the value of the '`Label Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Label Provider Class Name' attribute.
  See Also:
    `getLabelProviderClassName()`
  ** Generated **

### getLabelProviderQualifiedClassName

    java.lang.String getLabelProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.